<?php
/**
 * @package   	OneAll Social Login
 * @copyright 	Copyright 2011-2015 http://www.oneall.com - All rights reserved.
 * @license   	GNU/GPL 2 or later
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307,USA.
 *
 * The "GNU General Public License" (GPL) is available at
 * http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 *
 * Modified And Ported To ElkArte
 * @author	ahrasis https://sahabat.ahrasis.com
 * @license	BSD http://opensource.org/licenses/BSD-3-Clause
 * @addon  	OASL: OneAll Social Login
 *
 */

// Security Check.
if (file_exists (dirname (__FILE__) . '/SSI.php') && !defined('ELK'))
{
	require_once(dirname (__FILE__) . '/SSI.php');
}
elseif (!defined('ELK'))
{
	die ('<strong>Unable to install:</strong> Please make sure that you have copied this file in the same location as the index.php of your ELK.');
}

// Define the hooks
$hook_functions = array(
	'integrate_actions' => 'OASL_Action|CONTROLLERDIR/addons/OASL/OASL.controller.php',
	'integrate_admin_areas' => 'OASL_Admin_Menu|CONTROLLERDIR/addons/OASL/OASL.controller.php',
	'integrate_menu_buttons' => 'OASL_Header|CONTROLLERDIR/addons/OASL/OASL.controller.php',
);

// Adding or removing them?
if (!empty($context['uninstalling']))
	$call = 'remove_integration_function';
else
	$call = 'add_integration_function';

// Do the deed
foreach ($hook_functions as $hook => $function)
	$call($hook, $function);

// Are we done?
if (ELK == 'SSI')
	echo 'Hooking is complete!';

?>